### Method

# Foundry CliCommandTree complete

#### Declaration [src]

    char**
    foundry_cli_command_tree_complete (
      FoundryCliCommandTree* self,
      FoundryCommandLine* command_line,
      const char* line,
      int point,
      const char* current
    )

#### Description

No description available.

#### Parameters

`command_line`

  Type: `FoundryCommandLine`

  No description available.

  The data is owned by the caller of the method.

`line`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`point`

  Type: `int`

  No description available.

`current`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

No description available.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.